﻿const date = require('date-and-time');
const server = require('./server/server.js');
const timer = require('./timer/timer.js');

var serverweb = new server.WEB();
var cronweb = new timer.CRONWEB(serverweb);

date.locale('fr');

function sendserverdaytime() {
    serverweb.io.sockets.emit('server.datetime', date.format(new Date(), 'dddd DD MMM YYYY @ HH:mm:ss'));
}
setInterval(sendserverdaytime, 1000);


cronweb.Start();
serverweb.Listen();
