const Server = {

    
    WEB: function  ()  {

        const express = require('express');
        const basicAuth = require('express-basic-auth')
        const ejs = require('ejs');
        const app = express();  
        const path = __dirname + '/web';
        const config = require(path + '/config.json');
        app.engine('html', ejs.renderFile);
        app.set('views', path + '/view');
        app.use(express.static(path));
        app.use('/picture', express.static(path +'/picture/'));
        app.use('/jquery', express.static('./node_modules/jquery/dist'));
        app.use('/socket.io', express.static('./node_modules/socket.io-client/dist/'));
        app.use(basicAuth({ users: config.Users , challenge: true }));
        const httpserver = require('http').createServer(app);
        const io = require('socket.io').listen(httpserver);
               
        this.Listen = () => { httpserver.listen(config.Port);  }
        this.app = app;
        this.io = io;
       

        app.get('/', (req, res) => {
            res.render("server.web.index.html");
        });

        io.sockets.on('connection', (client) => {
            //...
        });

        
        httpserver.once('listening', () => { console.log("Web Server listening on port " + config.Port);});
    }

};
module.exports = Server;



